# Generated from fluent-plugin-containiq-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluent-plugin-containiq

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: Fluentd output plugin that pushes logs to ContainIQ
License: Apache-2.0
URL: https://www.containiq.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit) >= 3.4.7
# BuildRequires: rubygem(test-unit) < 3.5
# BuildRequires: rubygem(webmock) >= 3.14.0
# BuildRequires: rubygem(webmock) < 3.15
BuildArch: noarch

%description
Fluentd output plugin that pushes logs to ContainIQ.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/k8s
%{gem_libdir}
%{gem_instdir}/pull_request_template.md
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fluent-plugin-containiq.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.3-1
- Initial package
